Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.web.action
Class UploadFileAction

    java.lang.Object
      net.sourceforge.pebble.web.action.Action
          net.sourceforge.pebble.web.action.SecureAction
              net.sourceforge.pebble.web.action.AbstractFileAction
                  net.sourceforge.pebble.web.action.UploadFileAction

Direct Known Subclasses:
  UploadFileToBlogAction, UploadFileToThemeAction, UploadImageToBlogAction

    public abstract class UploadFileAction

extends AbstractFileAction

Superclass for actions that allow the user to upload a file.

Author:
  Simon Brown

Constructor Summary
`UploadFileAction()`

Method Summary
`abstract java.lang.String[]` | `getRoles(HttpServletRequest request)` Gets a list of all roles that are allowed to access this action.
`protected abstract java.lang.String` | `getType()` Gets the type of this upload (blog image, blog file or theme file).
`View` | `process(HttpServletRequest request, HttpServletResponse response)` Peforms the processing associated with this action.

Methods inherited from class net.sourceforge.pebble.web.action.Action
`getModel, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UploadFileAction

    public UploadFileAction()

Method Detail

### process

    public View process(HttpServletRequest request,
                        HttpServletResponse response)
                 throws ServletException

  Peforms the processing associated with this action.

  Specified by:
    `process` in class `Action`
  Parameters:
    `request` - the HttpServletRequest instance
    `response` - the HttpServletResponse instance
  Returns:
    the name of the next view
  Throws:
    `ServletException`

### getType

    protected abstract java.lang.String getType()

  Gets the type of this upload (blog image, blog file or theme file).

  Returns:
    a String representing the type
  See Also:
    `FileMetaData`

### getRoles

    public abstract java.lang.String[] getRoles(HttpServletRequest request)

  Gets a list of all roles that are allowed to access this action.

  Overrides:
    `getRoles` in class `AbstractFileAction`
  Parameters:
    `request` - the HttpServletRequest for this invocation
  Returns:
    an array of Strings representing role names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.